<html>
<!--    cibl&eacute; par:  choix-ref1.php

		cible:  	../menu.php
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
 -->

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Gestion des branches</title>
</head>
<body>

<?php

require("../outils/gui.php");
require("../outils/mise_en_page.php");
require("../outils/session.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2) 
	die("Vous n'avez pas les droits requis!");


$etape = $_GET["etape"];
$num_chalet = $_GET["num_chalet"];
$mod = $_GET["mod"];
$nom = $_GET["nom"];
$base = $_GET["base"];
$actif = $_GET["actif"];
$compte_district = $_GET["compte_district"];
$compte_smm = $_GET["compte_smm"];
$compte_famille = $_GET["compte_famille"];
$compte_ext = $_GET["compte_ext"];
$compte_autre = $_GET["compte_autre"];
$compte_trio = $_GET["compte_trio"];
$back = $_GET["back"];
$pargestion = $_GET["pargestion"];

// *****************************************************************************************************
// &eacute;tape 0 *********************************************************************************************
// menu de base ****************************************************************************************
// *****************************************************************************************************
if (empty ($etape))
{
	// liste des chalet actifs
	$sql = "select base_ref1chalets.num_chalet, base_ref1chalets.nom, 
	               base_ref1chalets.base 
			from base_ref1chalets
			where base_ref1chalets.actif = 'O'
		 	order by base_ref1chalets.nom asc;";

	$result = mysql_query($sql) 
		or die("Ne peut acc&eacute;der &agrave; la table base_ref1chalet!<br>".$sql);

	print ("<div align=\"center\"><b><u><font size=\"+2\">Gestion des chalets</font></u></b></div>");
	print ("<br><br>");

	print ("<b><u><font size=\"+1\">Liste des chalets actifs</font></u></b>");

	print ("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"ref1chalet_o\">
			<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
			<input type=\"hidden\" name=\"etape\" value=1>
			<select name=\"num_chalet\">");

	while ($row = mysql_fetch_row ($result))
	{
		for ($i = 0; $i < mysql_num_fields ($result); $i++)
		{
			print("<option value=\"");
			print(htmlspecialchars($row[$i++]));
			print("\">");
			printf("%s,  %s", htmlspecialchars ($row[$i++]), htmlspecialchars ($row[$i]));
			print("</option><br>");
		}
	}

	mysql_free_result($result);

	print ("</select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"submit\" value=\"Consulter\"></form>");

	print ("Cette section permet de s&eacute;lectionner un chalet actif dans le menu d&eacute;roulant et d'y apporter 
            des modifications. Chaque &eacute;l&eacute;ment du menu d&eacute;roulant se compose de son nom et de l'abr&eacute;viation de la base. 
			Une fois l'&eacute;l&eacute;ment s&eacute;lectionn&eacute;, cliquez sur \"Consulter\" afin de visualiser et modifier les donn&eacute;es.");

	print("\n\n<hr><br>");

	// liste des activit&eacute;s inactives

	$sql = "select base_ref1chalets.num_chalet, base_ref1chalets.nom, 
	               base_ref1chalets.base 
			from base_ref1chalets
			where base_ref1chalets.actif = 'N'
		 	order by base_ref1chalets.nom asc;";

	$result = mysql_query($sql) 
		or die("Ne peut acc&eacute;der &agrave; la table base_ref1chalets!<br>".$sql);

	$num = mysql_numrows($result);

	print ("<b><u><font size=\"+1\">Liste des chalets inactifs</font></u></b><br>");

	if (!empty ($num))
	{
		print ("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"ref1chalet_n\">
				<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
				<input type=\"hidden\" name=\"etape\" value=1>
				<select name=\"num_chalet\">");

		while ($row = mysql_fetch_row ($result))
		{
			for ($i = 0; $i < mysql_num_fields ($result); $i++)
			{
				print ("<option value=\"");
				printf ("%s", htmlspecialchars ($row[$i++]));
				print ("\">");
				printf ("%s, %s", htmlspecialchars ($row[$i++]), htmlspecialchars ($row[$i]));
				print ("</option><br>");
			}
		}

		print("</select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"submit\" value=\"Consulter\"></form><br>");

		print ("Cette section permet de s&eacute;lectionner un chalet inactif dans le menu d&eacute;roulant et d'y apporter 
    	        des modifications. Chaque &eacute;l&eacute;ment du menu d&eacute;roulant se compose de son nom et de l'abr&eacute;viation de la base. 
				Une fois l'&eacute;l&eacute;ment s&eacute;lectionn&eacute;, cliquez sur \"Consulter\" afin de visualiser et modifier les donn&eacute;es.");
	}
	else
	{
		print ("Il n'y a aucun chalet inactif.");
	}

	mysql_free_result ($result);

	print("\n\n<hr>");

// pour des nouvelles activit&eacute;es

    print ("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\">");
	print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
	print ("<input type=\"hidden\" name=\"etape\" value=2>");
	print ("<input id=\"frm_nouveau_chalet\" type=\"submit\" value=\"Nouveau chalet\">");
	print ("</form>");

// bouton de rtour au menu
	print ("<hr>");
	print ("<div align=\"center\">");
    print ("<form action=\"../menu-base.php?Bsession_id=".$Bsession_id."\" method=\"post\">");
	print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
	print ("<input id=\"frm_menu\" type=\"submit\" value=\"Retour au menu\">");
	print ("</form></div>");

//	pageDebug("&Eacute;tape 0");
} 

// *****************************************************************************************************
// &eacute;tape 1 *********************************************************************************************
// &eacute;diter un secteur existant **************************************************************************
// *****************************************************************************************************
if ($etape == 1)
	{
	// faire les modifications dans la table base_ref1activite *****************************************
	if (!empty ($mod))
		{
		// modifier le champ nom dans base_ref1chalets 
		if (!empty ($nom))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.nom = '$nom',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ base dans base_ref1chalets 
		if (!empty ($base))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.base = '$base',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ actif dans base_ref1chalets 
		if (!empty ($actif))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.actif = '$actif',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ compte_district dans base_ref1chalets 
		if (!empty ($compte_district))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.compte_district = '$compte_district',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ compte_smm dans base_ref1chalets 
		if (!empty ($compte_smm))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.compte_smm = '$compte_smm',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ compte_famille dans base_ref1chalets 
		if (!empty ($compte_famille))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.compte_famille = '$compte_famille',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}	
			
		// modifier le champ compte_ext dans base_ref1chalets 
		if (!empty ($compte_ext))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.compte_ext = '$compte_ext',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ compte_autre dans base_ref1chalets 
		if (!empty ($compte_autre))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.compte_autre = '$compte_autre',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ compte_district dans base_ref1chalets 
		if (!empty ($compte_trio))
			{
			$sql = "update base_ref1chalets
				set base_ref1chalets.compte_trio = '$compte_trio',
					base_ref1chalets.mis_a_jour = now()
           	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

			$result = mysql_query($sql) or die("ne peut faire la modification.<br>".$sql);
			}

		}

	// remplir les variables ******************************************************************************
	$sql = "SELECT base_ref1chalets.nom, base_ref1chalets.base, 
				   base_ref1chalets.actif, base_ref1chalets.compte_district, base_ref1chalets.compte_smm, base_ref1chalets.compte_famille, 
				   base_ref1chalets.compte_ext, base_ref1chalets.compte_autre, base_ref1chalets.compte_trio  
    	    FROM base_ref1chalets
       	    WHERE base_ref1chalets.num_chalet = '$num_chalet';";

	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysql_query($sql) 
		or die ("ne peut lire les donn&eacute;es.<br>".$sql);

	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysql_numrows($result);

	// met la valeur dans les variables
	if ($num)
		{
		$i = 0;
		$row = mysql_fetch_row ($result);
		$nom = ($row[$i++]);
		$base = ($row[$i++]);
		$actif = ($row[$i++]);
		$compte_district = ($row[$i++]);
		$compte_smm = ($row[$i++]);
		$compte_famille = ($row[$i++]);
		$compte_ext = ($row[$i++]);
		$compte_autre = ($row[$i++]);
		$compte_trio = ($row[$i]);
		}
	else
		{
		die ("Il y a un probl&egrave;me dans la base de donn&eacute;es !");
		}

	// fait le m&eacute;nage des r&eacute;sultat en m&eacute;moire
	mysql_free_result ($result);

	// afficher les r&eacute;sultats ****************************************************************************	

	print ("<div align=\"center\"><u><b><font size=\"+2\">Modification du chalet</font></b></u></div>");
	print("<p>");

	print("<table width=\"100%\" cellpadding=0 cellspacing=0 border=\"1\"><tr><td>");

	// nom

	print ("<b>Nom du chalet:</b>");

	print("</td><td><div align=left>"); 

	print("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_nom\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		<input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");

	print("<input type=\"text\" value=\"".$nom."\" name=\"nom\" align=\"top\" maxlength=\"40\" size=\"40\">
			<input type=\"image\" alt=\"nom\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print ("<td></td>");
	print("</div></td></tr><tr><td>");

	// base

	print ("<b>Base:</b>");
	print("</td><td><div align=left>");

	print ("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_base\"> 
		    <input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		    <input type=\"hidden\" name=\"mod\" value=O>
		    <input type=\"hidden\" name=\"etape\" value=1>");

	print ("<select name=\"base\">
			  <option value=\"".$base."\">".$base."</option>
			  <option value=\"R\">Richelieu</option>
			  <option value=\"V\">Ville-Marie</option>
		    </select>");
		
	print ("<input type=\"image\" alt=\"base\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
	print ("</div><td><b>R</b>ichelieu, <b>V</b>ille-Marie</td>");
	print("</td></tr><tr><td>");

	// actif

	print ("<b>Actif:</b>");
	print("</td><td><div align=left>");

	print ("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_actif\"> 
		    <input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		    <input type=\"hidden\" name=\"mod\" value=O>
		    <input type=\"hidden\" name=\"etape\" value=1>");

	print ("<select name=\"actif\">
			  <option value=\"".$actif."\">".$actif."</option>
			  <option value=\"N\">Non</option>
			  <option value=\"O\">Oui</option>
		    </select>");
	print ("<input type=\"image\" alt=\"actif\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
	print ("<td><b>O</b>ui/<b>N</b>on</td>");
	print("</div></td></tr><tr><td>");

	// compte budgetaire du district
	print ("<tr><td><b>Poste budg&eacute;taire du district:</b>");
	print("</td><td><div align=left>");

	print("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_compte_budget\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");
	print("<input type=\"text\" value=\"".$compte_district."\" name=\"compte_district\" align=\"top\" maxlength=\"4\" size=\"4\">
			<input type=\"image\" alt=\"compte_district\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print("</div></td></tr>");
	
	// compte budgetaire smm
	print ("<tr><td><b>Poste budg&eacute;taire des SMM:</b>");
	print("</td><td><div align=left>");

	print("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_compte_budget\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");
	print("<input type=\"text\" value=\"".$compte_smm."\" name=\"compte_smm\" align=\"top\" maxlength=\"4\" size=\"4\">
			<input type=\"image\" alt=\"compte_smm\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print("</div></td></tr>");
	
	// compte budgetaire famille
	print ("<tr><td><b>Poste budg&eacute;taire des familles:</b>");
	print("</td><td><div align=left>");

	print("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_compte_budget\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");
	print("<input type=\"text\" value=\"".$compte_famille."\" name=\"compte_famille\" align=\"top\" maxlength=\"4\" size=\"4\">
			<input type=\"image\" alt=\"compte_ext\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print("</div></td></tr>");
	
	// compte budgetaire ext
	print ("<tr><td><b>Poste budg&eacute;taire des scouts ext&eacute;rieurs:</b>");
	print("</td><td><div align=left>");

	print("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_compte_budget\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");
	print("<input type=\"text\" value=\"".$compte_ext."\" name=\"compte_ext\" align=\"top\" maxlength=\"4\" size=\"4\">
			<input type=\"image\" alt=\"compte_ext\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print("</div></td></tr>");
	
	// compte budgetaire
	print ("<tr><td><b>Poste budg&eacute;taire des ecoles et autres:</b>");
	print("</td><td><div align=left>");

	print("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_compte_budget\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");
	print("<input type=\"text\" value=\"".$compte_autre."\" name=\"compte_autre\" align=\"top\" maxlength=\"4\" size=\"4\">
			<input type=\"image\" alt=\"compte_autre\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print("</div></td></tr>");
	
	// compte budgetaire trio
	print ("<tr><td><b>Poste budg&eacute;taire du trio:</b>");
	print("</td><td><div align=left>");

	print("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"mod_compte_budget\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
		    <input type=\"hidden\" name=\"num_chalet\" value=".$num_chalet.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");

	print("<input type=\"text\" value=\"".$compte_trio."\" name=\"compte_trio\" align=\"top\" maxlength=\"4\" size=\"4\">
			<input type=\"image\" alt=\"compte_trio\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print("</div></td></tr>");
	print ("</table>");

//*****************************************************************************************************
// Bas de page 
//*****************************************************************************************************
	print ("<br>");
	print ("<hr><br>");
// Boutons pour les renvois vers d'autres pages
	print("<table border=0 width=100%>");
   		print("<td width=45% align=right>"); // afiche le bouton de retour &agrave; la gestion chalet
		print("<form action="\ref1chalets.php?Bsession_id=".$Bsession_id."\" method=post>");
	   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	   			print("<input type=hidden name=etape value=0>");
	   			print("<input type=submit name=back value=\"Gestion des chalets\">");
	    print("</form>");
	print("</td>");
	print("<td width=5% align=center>"."&nbsp"."</td>"); //Espacement
	print("<td width=45% align=left>"); //Afficher le bouton de retour au menu principal.
		print("<form action="\../menu-base.php?Bsession_id=".$Bsession_id."\" method=post>");  
	   		 	print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	  		 	print("<input type=submit name=back value=\"    Menu Principal    \">");
		print("</form>");
	print("</td>");
	print ("</table>");
	}

// *****************************************************************************************************
// &eacute;tape 2 *********************************************************************************************
// demande les info pour cr&eacute;er la branche **************************************************************
// *****************************************************************************************************
if ($etape == 2)
{
	print ("<div align=\"center\"><u><b><font size=\"+2\">Nouveau chalet</font></b></u></div>");
	print("<p>");

	print ("<form action=\"ref1chalets.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"creation\"> 
			<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">
			<input type=\"hidden\" name=\"etape\" value=3>
			<input type=\"hidden\" name=\"pargestion\" value=".$pargestion.">");

	print("<table width=100% border=1>");

	print("<tr><td><b>");
	print ("<b>Nom</b>");
	print("</b></td><td><div align=left>");
	print("<input type=\"text\" value=\"".$nom."\" name=\"nom\" align=\"top\" maxlength=\"40\" size=\"40\">");
	print("</div></td></tr><tr>");

	print ("<tr><td>");	
	print ("<b>Base</b></td>");
	print ("<td><div align=left>");
	print ("<select name=\"base\">
			  <option value=\"R\">Richelieu</option>
			  <option value=\"V\">Ville-Marie</option>
			</select>");
	print("</div></td></tr><tr>");

	print("<tr><td><b>");
	print ("<b>Poste budg&eacute;taire du district:</b>");
	print("</b></td><td><div align=left>");
	print("<input type=\"text\" value=\"".$compte_district."\" name=\"compte_district\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</div></td></tr>");

	print("<tr><td><b>");
	print ("<b>Poste budg&eacute;taire des SMM:</b>");
	print("</b></td><td><div align=left>");
	print("<input type=\"text\" value=\"".$compte_smm."\" name=\"compte_smm\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</div></td></tr>");

	print("<tr><td><b>");
	print ("<b>Poste budg&eacute;taire des familles:</b>");
	print("</b></td><td><div align=left>");
	print("<input type=\"text\" value=\"".$compte_famille."\" name=\"compte_famille\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</div></td></tr>");	
	
	print("<tr><td><b>");
	print ("<b>Poste budg&eacute;taire des autres scouts:</b>");
	print("</b></td><td><div align=left>");
	print("<input type=\"text\" value=\"".$compte_ext."\" name=\"compte_ext\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</div></td></tr>");

	print("<tr><td><b>");
	print ("<b>Poste budg&eacute;taire &eacute;coles et autres:</b>");
	print("</b></td><td><div align=left>");
	print("<input type=\"text\" value=\"".$compte_autre."\" name=\"compte_autre\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</div></td></tr>");

	print("<tr><td><b>");
	print ("<b>Poste budg&eacute;taire du trio:</b>");
	print("</b></td><td><div align=left>");
	print("<input type=\"text\" value=\"".$compte_trio."\" name=\"compte_trio\" align=\"top\" maxlength=\"4\" size=\"4\">");
	print("</div></td></tr>");

	print ("<tr><td>");	
	print ("<b>Actif</b></td>");
	print ("<td><div align=left>");
	print ("<select name=\"actif\">
			  <option value=\"O\">Oui</option>
			  <option value=\"N\">Non</option>
			</select>");
	print("</div></td></tr>");
	print("</table>");
	print("<div align=right><input type='submit' value='Soumettre'></div></form>");

//	pageDebug("&Eacute;tape 2");
}

//FIXME: Un reload ajoute une seconde fois les informations !
// *****************************************************************************************************
// &eacute;tape 3 *********************************************************************************************
// cr&eacute;e le secteur dans la table ref1branche ***********************************************************
// *****************************************************************************************************
if ($etape == 3)
{
	print ("<div align=\"center\"><b>Chalet cr&eacute;&eacute;e avec succ&egrave;s</b></div>");
	print("<p>");

	// mettre les info dans la table ref1branche
	$sql = "insert into base_ref1chalets 
		    set nom = '$nom',
				base = '$base',
				actif = '$actif',
				compte_district = $compte_district,
				compte_smm = $compte_smm,
				compte_famille = $compte_famille,
				compte_ext = $compte_ext,
				compte_autre = $compte_autre,
				compte_trio = $compte_trio,
				mis_a_jour = now();";

	$result = mysql_query($sql) 
		or die("Ne peut faire l'ajout!<br>".$sql);

	$sql = "select base_ref1chalets.num_chalet
			from base_ref1chalets
			where base_ref1chalets.nom = '$nom'
			  and base_ref1chalets.base = '$base'
			  and base_ref1chalets.compte_district = '$compte_district';";

	$result = mysql_query($sql) or die("Ne peut lire dans ref1branche!<br>".$sql);
	$row = mysql_fetch_row ($result);
	$num_chalet = ($row[0]);

	print("&nbsp;<p><center><table width=80%><tr><td><center>");
	
	if ($pargestion == 1)
	{
		// bouton de retour &agrave; la gestion des chalets
					print("<form action="\../contract/ajout-chalet.php?Bsession_id=".$Bsession_id."\" method=post>");
		   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	   				print("<input type=submit name=back value=\"Retour\">");
		    print("</form>");	
	}
	else
	{	
		// consulter le chalet
		print("<form action="\ref1chalets.php?Bsession_id=".$Bsession_id."\" method=get>");
	 		print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	 		print("<input type=hidden name=etape value=1>");
	 		print("<input type=hidden name=num_chalet value=$num_chalet>");
	 		print("<input type=submit name=back value=\"Consulter le chalet\">");
	    print("</form>");

		print("</center></td><td><center>");
		// ajouter un chalet
		print("<form action="\ref1chalets.php?Bsession_id=".$Bsession_id."\" method=post>");
   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
   			print("<input type=hidden name=etape value=2>");
   			print("<input type=submit name=back value=\"Cr&eacute;er un nouveau chalet\">");
    	print("</form>");

		print("</center></td><td><center>");
		// retour au menu pricipal
		print("<form action="\../menu-base.php?Bsession_id=".$Bsession_id."\" method=post>");
	 		print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	 		print("<input type=submit name=back value=\" Menu Principal \">");
	    print("</form>");
		print("</center></td></tr></table></center>");
	}
}
?>

</body>
</html>
"];